> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/product-sku/delete-sku-codes-by-details.md).

# Delete SKU codes by details

Use the **deleteSkuCodeByDetails** method to remove an SKU based on its included details.&#x20;

When requesting to delete SKU by details, the 2Checkout system will delete all SKU defined under the specific product code or pricing configuration code. If the combination does not contain any SKU defined, the system will return an error with the result. The method supports multiple combinations of product code, pricing configuration code in one call.

## Request parameters <a href="#request-parameters" id="request-parameters"></a>

<table><thead><tr><th width="339.8665771484375">Parameters</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>ProductCode</code></td><td><p><strong>Required (string)</strong></p><p>The product code that you can define for each of your offerings. Needs to be unique.</p></td></tr><tr><td> <code>skuDetailsObject</code></td><td><p><strong>Object</strong></p><p>Details below.</p></td></tr><tr><td>                                                    <code>PricingConfigurationCode</code></td><td><p><strong>Optional (string)</strong></p><p>Unique identifier of the pricing configuration.</p></td></tr><tr><td><code>PricingConfigurationCode.Currency</code></td><td><p><strong>Optional (string)</strong></p><p>ISO currency code.</p></td></tr><tr><td><code>PricingConfigurationCode.PurchaseType</code></td><td><p><strong>Optional (string)</strong></p><p>Purchase type identifier. Possible values:</p><ul><li>NEW_PRODUCT</li><li>RENEWAL</li><li>UPGRADE</li></ul></td></tr><tr><td><code>PricingConfigurationCode.PriceOptions</code></td><td><p><strong>Optional (stringArray)</strong></p><p>Array of price options names.</p></td></tr><tr><td><code>PricingConfigurationCode.Quantity</code></td><td><p><strong>Optional (integer)</strong></p><p>Numeric identifier of product quantity.</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/product-sku/delete-sku-codes-by-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
